1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \	]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = @build@
89host_triplet = @host@
90subdir = modules/IntInfAsInt
91ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
93	$(top_srcdir)/m4/ltdl.m4 $(top_srcdir)/m4/ltoptions.m4 \
94	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
95	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
96	$(top_srcdir)/configure.ac
97am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98	$(ACLOCAL_M4)
99DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
100mkinstalldirs = $(install_sh) -d
101CONFIG_HEADER = $(top_builddir)/config.h
102CONFIG_CLEAN_FILES =
103CONFIG_CLEAN_VPATH_FILES =
104AM_V_P = $(am__v_P_@AM_V@)
105am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
106am__v_P_0 = false
107am__v_P_1 = :
108AM_V_GEN = $(am__v_GEN_@AM_V@)
109am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
110am__v_GEN_0 = @echo "  GEN     " $@;
111am__v_GEN_1 = 
112AM_V_at = $(am__v_at_@AM_V@)
113am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
114am__v_at_0 = @
115am__v_at_1 = 
116SOURCES =
117DIST_SOURCES =
118am__can_run_installinfo = \
119  case $$AM_UPDATE_INFO_DIR in \
120    n|no|NO) false;; \
121    *) (install-info --version) >/dev/null 2>&1;; \
122  esac
123am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
124am__DIST_COMMON = $(srcdir)/Makefile.in
125DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
126ACLOCAL = @ACLOCAL@
127ALLOCA = @ALLOCA@
128AMTAR = @AMTAR@
129AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
130AR = @AR@
131AS = @AS@
132AUTOCONF = @AUTOCONF@
133AUTOHEADER = @AUTOHEADER@
134AUTOMAKE = @AUTOMAKE@
135AWK = @AWK@
136CC = @CC@
137CCAS = @CCAS@
138CCASDEPMODE = @CCASDEPMODE@
139CCASFLAGS = @CCASFLAGS@
140CCDEPMODE = @CCDEPMODE@
141CFLAGS = @CFLAGS@
142CPP = @CPP@
143CPPFLAGS = @CPPFLAGS@
144CXX = @CXX@
145CXXCPP = @CXXCPP@
146CXXDEPMODE = @CXXDEPMODE@
147CXXFLAGS = @CXXFLAGS@
148CYGPATH_W = @CYGPATH_W@
149DEFS = @DEFS@
150DEPDIR = @DEPDIR@
151DLLTOOL = @DLLTOOL@
152DSYMUTIL = @DSYMUTIL@
153DUMPBIN = @DUMPBIN@
154ECHO_C = @ECHO_C@
155ECHO_N = @ECHO_N@
156ECHO_T = @ECHO_T@
157EGREP = @EGREP@
158EXEEXT = @EXEEXT@
159FGREP = @FGREP@
160GIT_VERSION = @GIT_VERSION@
161GREP = @GREP@
162INSTALL = @INSTALL@
163INSTALL_DATA = @INSTALL_DATA@
164INSTALL_PROGRAM = @INSTALL_PROGRAM@
165INSTALL_SCRIPT = @INSTALL_SCRIPT@
166INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
167LD = @LD@
168LDFLAGS = @LDFLAGS@
169LIBOBJS = @LIBOBJS@
170LIBS = @LIBS@
171LIBTOOL = @LIBTOOL@
172LIPO = @LIPO@
173LN_S = @LN_S@
174LTLIBOBJS = @LTLIBOBJS@
175LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
176MAINT = @MAINT@
177MAKEINFO = @MAKEINFO@
178MANIFEST_TOOL = @MANIFEST_TOOL@
179MKDIR_P = @MKDIR_P@
180NM = @NM@
181NMEDIT = @NMEDIT@
182OBJDUMP = @OBJDUMP@
183OBJEXT = @OBJEXT@
184OSFLAG = @OSFLAG@
185OTOOL = @OTOOL@
186OTOOL64 = @OTOOL64@
187PACKAGE = @PACKAGE@
188PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
189PACKAGE_NAME = @PACKAGE_NAME@
190PACKAGE_STRING = @PACKAGE_STRING@
191PACKAGE_TARNAME = @PACKAGE_TARNAME@
192PACKAGE_URL = @PACKAGE_URL@
193PACKAGE_VERSION = @PACKAGE_VERSION@
194PATH_SEPARATOR = @PATH_SEPARATOR@
195PKG_CONFIG = @PKG_CONFIG@
196PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
197PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
198POW_LIB = @POW_LIB@
199RANLIB = @RANLIB@
200SED = @SED@
201SET_MAKE = @SET_MAKE@
202SHELL = @SHELL@
203STRIP = @STRIP@
204VERSION = @VERSION@
205WINDRES = @WINDRES@
206XMKMF = @XMKMF@
207abs_builddir = @abs_builddir@
208abs_srcdir = @abs_srcdir@
209abs_top_builddir = @abs_top_builddir@
210abs_top_srcdir = @abs_top_srcdir@
211ac_ct_AR = @ac_ct_AR@
212ac_ct_CC = @ac_ct_CC@
213ac_ct_CXX = @ac_ct_CXX@
214ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
215am__include = @am__include@
216am__leading_dot = @am__leading_dot@
217am__quote = @am__quote@
218am__tar = @am__tar@
219am__untar = @am__untar@
220bindir = @bindir@
221build = @build@
222build_alias = @build_alias@
223build_cpu = @build_cpu@
224build_os = @build_os@
225build_vendor = @build_vendor@
226builddir = @builddir@
227datadir = @datadir@
228datarootdir = @datarootdir@
229dependentlibs = @dependentlibs@
230docdir = @docdir@
231dvidir = @dvidir@
232exec_prefix = @exec_prefix@
233gitinstalled = @gitinstalled@
234host = @host@
235host_alias = @host_alias@
236host_cpu = @host_cpu@
237host_os = @host_os@
238host_vendor = @host_vendor@
239htmldir = @htmldir@
240includedir = @includedir@
241infodir = @infodir@
242install_sh = @install_sh@
243libdir = @libdir@
244libexecdir = @libexecdir@
245localedir = @localedir@
246localstatedir = @localstatedir@
247mandir = @mandir@
248mkdir_p = @mkdir_p@
249moduledir = @moduledir@
250oldincludedir = @oldincludedir@
251pdfdir = @pdfdir@
252polyc_CFLAGS = @polyc_CFLAGS@
253prefix = @prefix@
254program_transform_name = @program_transform_name@
255psdir = @psdir@
256runstatedir = @runstatedir@
257sbindir = @sbindir@
258sharedstatedir = @sharedstatedir@
259srcdir = @srcdir@
260sys_symbol_underscore = @sys_symbol_underscore@
261sysconfdir = @sysconfdir@
262target_alias = @target_alias@
263top_build_prefix = @top_build_prefix@
264top_builddir = @top_builddir@
265top_srcdir = @top_srcdir@
266AUTOMAKE_OPTIONS = foreign
267all: all-am
268
269.SUFFIXES:
270$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
271	@for dep in $?; do \
272	  case '$(am__configure_deps)' in \
273	    *$$dep*) \
274	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
275	        && { if test -f $@; then exit 0; else break; fi; }; \
276	      exit 1;; \
277	  esac; \
278	done; \
279	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/IntInfAsInt/Makefile'; \
280	$(am__cd) $(top_srcdir) && \
281	  $(AUTOMAKE) --foreign modules/IntInfAsInt/Makefile
282Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
283	@case '$?' in \
284	  *config.status*) \
285	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
286	  *) \
287	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
288	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
289	esac;
290
291$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
292	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
293
294$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
295	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
296$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
297	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
298$(am__aclocal_m4_deps):
299
300mostlyclean-libtool:
301	-rm -f *.lo
302
303clean-libtool:
304	-rm -rf .libs _libs
305tags TAGS:
306
307ctags CTAGS:
308
309cscope cscopelist:
310
311
312distdir: $(BUILT_SOURCES)
313	$(MAKE) $(AM_MAKEFLAGS) distdir-am
314
315distdir-am: $(DISTFILES)
316	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
317	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
318	list='$(DISTFILES)'; \
319	  dist_files=`for file in $$list; do echo $$file; done | \
320	  sed -e "s|^$$srcdirstrip/||;t" \
321	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
322	case $$dist_files in \
323	  */*) $(MKDIR_P) `echo "$$dist_files" | \
324			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
325			   sort -u` ;; \
326	esac; \
327	for file in $$dist_files; do \
328	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
329	  if test -d $$d/$$file; then \
330	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
331	    if test -d "$(distdir)/$$file"; then \
332	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
333	    fi; \
334	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
335	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
336	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
337	    fi; \
338	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
339	  else \
340	    test -f "$(distdir)/$$file" \
341	    || cp -p $$d/$$file "$(distdir)/$$file" \
342	    || exit 1; \
343	  fi; \
344	done
345check-am: all-am
346check: check-am
347all-am: Makefile all-local
348installdirs:
349install: install-am
350install-exec: install-exec-am
351install-data: install-data-am
352uninstall: uninstall-am
353
354install-am: all-am
355	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
356
357installcheck: installcheck-am
358install-strip:
359	if test -z '$(STRIP)'; then \
360	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
361	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
362	      install; \
363	else \
364	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
365	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
366	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
367	fi
368mostlyclean-generic:
369
370clean-generic:
371
372distclean-generic:
373	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
374	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
375
376maintainer-clean-generic:
377	@echo "This command is intended for maintainers to use"
378	@echo "it deletes files that may require special tools to rebuild."
379clean: clean-am
380
381clean-am: clean-generic clean-libtool clean-local mostlyclean-am
382
383distclean: distclean-am
384	-rm -f Makefile
385distclean-am: clean-am distclean-generic
386
387dvi: dvi-am
388
389dvi-am:
390
391html: html-am
392
393html-am:
394
395info: info-am
396
397info-am:
398
399install-data-am:
400
401install-dvi: install-dvi-am
402
403install-dvi-am:
404
405install-exec-am: install-exec-local
406
407install-html: install-html-am
408
409install-html-am:
410
411install-info: install-info-am
412
413install-info-am:
414
415install-man:
416
417install-pdf: install-pdf-am
418
419install-pdf-am:
420
421install-ps: install-ps-am
422
423install-ps-am:
424
425installcheck-am:
426
427maintainer-clean: maintainer-clean-am
428	-rm -f Makefile
429maintainer-clean-am: distclean-am maintainer-clean-generic
430
431mostlyclean: mostlyclean-am
432
433mostlyclean-am: mostlyclean-generic mostlyclean-libtool
434
435pdf: pdf-am
436
437pdf-am:
438
439ps: ps-am
440
441ps-am:
442
443uninstall-am: uninstall-local
444
445.MAKE: install-am install-strip
446
447.PHONY: all all-am all-local check check-am clean clean-generic \
448	clean-libtool clean-local cscopelist-am ctags-am distclean \
449	distclean-generic distclean-libtool distdir dvi dvi-am html \
450	html-am info info-am install install-am install-data \
451	install-data-am install-dvi install-dvi-am install-exec \
452	install-exec-am install-exec-local install-html \
453	install-html-am install-info install-info-am install-man \
454	install-pdf install-pdf-am install-ps install-ps-am \
455	install-strip installcheck installcheck-am installdirs \
456	maintainer-clean maintainer-clean-generic mostlyclean \
457	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
458	tags-am uninstall uninstall-am uninstall-local
459
460.PRECIOUS: Makefile
461
462
463all-local: IntInfAsInt
464
465clean-local:
466	-rm -f IntInfAsInt
467
468install-exec-local:
469	$(mkdir_p) $(DESTDIR)$(moduledir)
470	$(INSTALL_DATA) IntInfAsInt $(DESTDIR)$(moduledir)
471
472uninstall-local:
473	-rm -f $(DESTDIR)$(moduledir)/IntInfAsInt
474
475IntInfAsInt: ../../poly$(EXEEXT) ROOT.sml
476	echo "use \"$(srcdir)/ROOT.sml\";" | ../../poly$(EXEEXT) -q -error-exit
477
478# Tell versions [3.59,3.63) of GNU make to not export all variables.
479# Otherwise a system limit (for SysV at least) may be exceeded.
480.NOEXPORT:
481